clang 8.0.0

Public Attributes | List of all members
clang::format::FormattingAttemptStatus Struct Reference

Represents the status of a formatting attempt. More...

`#include "clang/Format/Format.h"`

Collaboration diagram for clang::format::FormattingAttemptStatus:
[legend]

## Public Attributes
bool | FormatComplete = true
| A value of `false` means that any of the affected ranges were not formatted due to a non-recoverable syntax error. More...
unsigned | Line = 0
| If `FormatComplete` is false, `Line` records a one-based original line number at which a syntax error might have occurred. More...

## Detailed Description

Represents the status of a formatting attempt.

Definition at line 1935 of file Format.h.

## Member Data Documentation

## ◆ FormatComplete

bool clang::format::FormattingAttemptStatus::FormatComplete = true

A value of `false` means that any of the affected ranges were not formatted due to a non-recoverable syntax error.

Definition at line 1938 of file Format.h.

## ◆ Line

unsigned clang::format::FormattingAttemptStatus::Line = 0

If `FormatComplete` is false, `Line` records a one-based original line number at which a syntax error might have occurred.

This is based on a best-effort analysis and could be imprecise.

Definition at line 1943 of file Format.h.

The documentation for this struct was generated from the following file:

- include/clang/Format/Format.h